DataSetRegistrationTransactionV2Delegate (server-original-data-store 7.0.0-rc.3+1777024182 API)
Description: declaration: package: ch.systemsx.cisd.etlserver.registrator.api.v2, class: DataSetRegistrationTransactionV2Delegate

Package ch.systemsx.cisd.etlserver.registrator.api.v2

# Class DataSetRegistrationTransactionV2Delegate

java.lang.Object
ch.systemsx.cisd.etlserver.registrator.api.v2.DataSetRegistrationTransactionV2Delegate

All Implemented Interfaces:
  `IDataSetRegistrationTransactionV2`

public class DataSetRegistrationTransactionV2Delegate extends Object implements IDataSetRegistrationTransactionV2

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DataSetRegistrationTransactionV2Delegate(DataSetRegistrationTransaction<?> transaction)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `assignRoleToSpace(ch.systemsx.cisd.openbis.generic.shared.basic.dto.RoleWithHierarchy.RoleCode role, ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISpaceImmutable space, List<String> userIds, List<String> groupCodes)`
  Give users and/or groups access privileges to a space.
  `IDataSet`
  `createNewDataSet()`
  Create a new data set for registration in openBIS.
  `IDataSet`
  `createNewDataSet(String dataSetType)`
  Create a new data set with the specified code.
  `IDataSet`
  `createNewDataSet(String dataSetType, ch.systemsx.cisd.openbis.generic.shared.basic.dto.DataSetKind datasetKindOrNull)`
  `IDataSet`
  `createNewDataSet(String dataSetType, String dataSetCode)`
  Create a new data set with the specified type and code.
  `IDataSet`
  `createNewDataSet(String dataSetType, String dataSetCode, ch.systemsx.cisd.openbis.generic.shared.basic.dto.DataSetKind datasetKindOrNull)`
  `String`
  `createNewDirectory(IDataSet dst, String dirName)`
  Create a new directory and return the path.
  `IExperiment`
  `createNewExperiment(String experimentIdentifierString, String experimentTypeCode)`
  Create a new experiment to register with the openBIS AS.
  `String`
  `createNewFile(IDataSet dst, String fileName)`
  Create a new empty file and return the path.
  `String`
  `createNewFile(IDataSet dst, String dstInDataset, String fileName)`
  Create a new empty file and return the path.
  `String`
  `createNewLink(IDataSet dst, String dstInDataset, String linkName, String linkTarget)`
  Create a new symbolic link and return the path.
  `IMetaproject`
  `createNewMetaproject(String name, String description)`
  Creates the new metaproject for the current user.
  `IMetaproject`
  `createNewMetaproject(String name, String description, String ownerId)`
  Creates the new metaproject for the specified user.
  `IProject`
  `createNewProject(String projectIdentifier)`
  Create a new project to register with the openBIS AS.
  `ISample`
  `createNewProjectSampleWithGeneratedCode(String projectIdentifier, String sampleTypeCode)`
  Create a new project sample to register with the openBIS AS.
  `ISample`
  `createNewSample(String sampleIdentifierString, String sampleTypeCode)`
  Create a new sample to register with the openBIS AS.
  `ISample`
  `createNewSampleWithGeneratedCode(String spaceCode, String sampleTypeCode)`
  Create a new sample to register with the openBIS AS.
  `ISpace`
  `createNewSpace(String spaceCode, String spaceAdminUserIdOrNull)`
  Create a new space to register with the openBIS AS.
  `IVocabularyTerm`
  `createNewVocabularyTerm()`
  Creates a new vocabulary term, which has to be assigned to a `IVocabulary`.
  `InputStream`
  `getAttachmentContent(ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IExperimentImmutable experiment, String fileName, Integer versionOrNull)`
  Returns an experiment attachment content.
  `InputStream`
  `getAttachmentContent(ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IProjectImmutable project, String fileName, Integer versionOrNull)`
  Returns a project attachment content.
  `InputStream`
  `getAttachmentContent(ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISampleImmutable sample, String fileName, Integer versionOrNull)`
  Returns a sample attachment content.
  `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.authorization.IAuthorizationService`
  `getAuthorizationService()`
  `net.lemnik.eodsql.DynamicTransactionQuery`
  `getDatabaseQuery(String dataSourceName)`
  Gets a database query object for the data source with the specified name.
  `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IDataSetImmutable`
  `getDataSet(String dataSetCode)`
  Get a data set from the openBIS AS.
  `IDataSetUpdatable`
  `getDataSetForUpdate(String dataSetCode)`
  Get a data set from the openBIS AS for the purpose of modifying it.
  `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IExperimentImmutable`
  `getExperiment(String experimentIdentifierString)`
  Get an experiment from the openBIS AS.
  `IExperimentUpdatable`
  `getExperimentForUpdate(String experimentIdentifierString)`
  Get an experiment from the openBIS AS for the purpose of modifying it.
  `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IExternalDataManagementSystemImmutable`
  `getExternalDataManagementSystem(String externalDataManagementSystemCode)`
  Get an external data management system from the openBIS AS.
  `ch.systemsx.cisd.etlserver.TopLevelDataSetRegistratorGlobalState`
  `getGlobalState()`
  `File`
  `getIncoming()`
  Returns the file representing the logical incoming file.
  `IDSSRegistrationLogger`
  `getLogger()`
  Returns the logger object that logs messages to openbis operation log and data store server registration logs.
  `IMetaproject`
  `getMetaproject(String name)`
  Only allowed when the user is available.
  `IMetaproject`
  `getMetaproject(String name, String ownerId)`
  Only allowed when the user is not available.
  `String`
  `getOpenBisServiceSessionToken()`
  Returns the currently used session token by the openBIS service
  `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IProjectImmutable`
  `getProject(String projectIdentifier)`
  Get a project from the openBIS AS.
  `IProject`
  `getProjectForUpdate(String projectIdentifierString)`
  Get an project from the openBIS AS for the purpose of modifying it.
  `ch.systemsx.cisd.etlserver.registrator.DataSetRegistrationContext`
  `getRegistrationContext()`
  Return a registration context object which can be used to store information that needs to be accessed through the registration process.
  `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISampleImmutable`
  `getSample(String sampleIdentifierString)`
  Get a sample from the openBIS AS.
  `ISample`
  `getSampleForUpdate(String sampleIdentifierString)`
  Get a sample from the openBIS AS for the purpose of modifying it.
  `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISearchService`
  `getSearchService()`
  Retrieve the search service for this transaction.
  `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISearchService`
  `getSearchServiceFilteredForUser(String userId)`
  Retrieve the search service for this transaction.
  `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISearchService`
  `getSearchServiceUnfiltered()`
  Retrieve the search service for this transaction.
  `Map<String,String>`
  `getServerInformation()`
  Returns information about the openBIS server.
  `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISpaceImmutable`
  `getSpace(String spaceCode)`
  Get a space from the openBIS AS.
  `String`
  `getUserId()`
  Get the id of the user on whose behalf this registration transaction is performed.
  `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IVocabularyImmutable`
  `getVocabulary(String code)`
  Get the read-only vocabulary with given code
  `IVocabulary`
  `getVocabularyForUpdate(String code)`
  Get the vocabulary with given code
  `List<ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IAttachmentImmutable>`
  `listAttachments(ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IExperimentImmutable experiment)`
  Returns a list of experiment attachments with all versions.
  `List<ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IAttachmentImmutable>`
  `listAttachments(ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IProjectImmutable project)`
  Returns a list of project attachments with all versions.
  `List<ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IAttachmentImmutable>`
  `listAttachments(ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISampleImmutable sample)`
  Returns a list of sample attachments with all versions.
  `IDataSetUpdatable`
  `makeDataSetMutable(ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IDataSetImmutable dataSet)`
  Given an immutable data set, make it mutable.
  `IExperimentUpdatable`
  `makeExperimentMutable(ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IExperimentImmutable experiment)`
  Given an immutable experiment, make it mutable.
  `IProject`
  `makeProjectMutable(ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IProjectImmutable project)`
  Given an immutable project, make it mutable.
  `ISample`
  `makeSampleMutable(ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISampleImmutable sample)`
  Given an immutable sample, make it mutable.
  `String`
  `moveFile(String src, IDataSet dst)`
  Move a file from into the root of a data set.
  `String`
  `moveFile(String src, IDataSet dst, String dstInDataset)`
  Move a file to a specified location in a data set.
  `void`
  `revokeRoleFromSpace(ch.systemsx.cisd.openbis.generic.shared.basic.dto.RoleWithHierarchy.RoleCode role, ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISpaceImmutable space, List<String> userIds, List<String> groupCodes)`
  Take away users and/or groups access privileges to a space.
  `void`
  `setUserId(String userIdOrNull)`
  Set the id of the user on whose behalf this registration transaction is performed.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DataSetRegistrationTransactionV2Delegate

    public DataSetRegistrationTransactionV2Delegate(DataSetRegistrationTransaction<?> transaction)

- ## Method Details

  - ### getOpenBisServiceSessionToken

    public String getOpenBisServiceSessionToken()
    Description copied from interface: `IDataSetRegistrationTransactionV2`
    Returns the currently used session token by the openBIS service
    Specified by:
      `getOpenBisServiceSessionToken` in interface `IDataSetRegistrationTransactionV2`

  - ### createNewDataSet

    public IDataSet createNewDataSet()
    Description copied from interface: `IDataSetRegistrationTransactionV2`
    Create a new data set for registration in openBIS.
    Specified by:
      `createNewDataSet` in interface `IDataSetRegistrationTransactionV2`

  - ### createNewDataSet

    public IDataSet createNewDataSet(String dataSetType)
    Description copied from interface: `IDataSetRegistrationTransactionV2`
    Create a new data set with the specified code.
    Specified by:
      `createNewDataSet` in interface `IDataSetRegistrationTransactionV2`

  - ### createNewDataSet

    public IDataSet createNewDataSet(String dataSetType, ch.systemsx.cisd.openbis.generic.shared.basic.dto.DataSetKind datasetKindOrNull)
    Specified by:
      `createNewDataSet` in interface `IDataSetRegistrationTransactionV2`

  - ### createNewDataSet

    public IDataSet createNewDataSet(String dataSetType, String dataSetCode)
    Description copied from interface: `IDataSetRegistrationTransactionV2`
    Create a new data set with the specified type and code.
    Specified by:
      `createNewDataSet` in interface `IDataSetRegistrationTransactionV2`

  - ### createNewDataSet

    public IDataSet createNewDataSet(String dataSetType, String dataSetCode, ch.systemsx.cisd.openbis.generic.shared.basic.dto.DataSetKind datasetKindOrNull)
    Specified by:
      `createNewDataSet` in interface `IDataSetRegistrationTransactionV2`

  - ### getDataSet

    public ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IDataSetImmutable getDataSet(String dataSetCode)
    Description copied from interface: `IDataSetRegistrationTransactionV2`
    Get a data set from the openBIS AS. Returns null if the data set does not exist.
    Specified by:
      `getDataSet` in interface `IDataSetRegistrationTransactionV2`
    Returns:
      A data set or null

  - ### getDataSetForUpdate

    public IDataSetUpdatable getDataSetForUpdate(String dataSetCode)
    Description copied from interface: `IDataSetRegistrationTransactionV2`
    Get a data set from the openBIS AS for the purpose of modifying it. Returns null if the data set does not exist.
    Specified by:
      `getDataSetForUpdate` in interface `IDataSetRegistrationTransactionV2`
    Returns:
      A data set or null

  - ### makeDataSetMutable

    public IDataSetUpdatable makeDataSetMutable(ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IDataSetImmutable dataSet)
    Description copied from interface: `IDataSetRegistrationTransactionV2`
    Given an immutable data set, make it mutable.
    Specified by:
      `makeDataSetMutable` in interface `IDataSetRegistrationTransactionV2`
    Returns:
      A data set

  - ### getSample

    public ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISampleImmutable getSample(String sampleIdentifierString)
    Description copied from interface: `IDataSetRegistrationTransactionV2`
    Get a sample from the openBIS AS. Returns null if the sample does not exist.
    Specified by:
      `getSample` in interface `IDataSetRegistrationTransactionV2`
    Returns:
      A sample or null

  - ### getSampleForUpdate

    public ISample getSampleForUpdate(String sampleIdentifierString)
    Description copied from interface: `IDataSetRegistrationTransactionV2`
    Get a sample from the openBIS AS for the purpose of modifying it. Returns null if the sample does not exist.
    Specified by:
      `getSampleForUpdate` in interface `IDataSetRegistrationTransactionV2`
    Returns:
      A sample or null

  - ### makeSampleMutable

    public ISample makeSampleMutable(ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISampleImmutable sample)
    Description copied from interface: `IDataSetRegistrationTransactionV2`
    Given an immutable sample, make it mutable.
    Specified by:
      `makeSampleMutable` in interface `IDataSetRegistrationTransactionV2`
    Returns:
      A sample

  - ### createNewSample

    public ISample createNewSample(String sampleIdentifierString, String sampleTypeCode)
    Description copied from interface: `IDataSetRegistrationTransactionV2`
    Create a new sample to register with the openBIS AS. The sample will have a permId.
    Specified by:
      `createNewSample` in interface `IDataSetRegistrationTransactionV2`
    Parameters:
      `sampleIdentifierString` - The identifier for the new sample
      `sampleTypeCode` - The code of the type for the new sample

  - ### createNewSampleWithGeneratedCode

    public ISample createNewSampleWithGeneratedCode(String spaceCode, String sampleTypeCode)
    Description copied from interface: `IDataSetRegistrationTransactionV2`
    Create a new sample to register with the openBIS AS. The sample will have a permId and automatically created identifier.
    Specified by:
      `createNewSampleWithGeneratedCode` in interface `IDataSetRegistrationTransactionV2`
    Parameters:
      `spaceCode` - The space in which to create the sample identifier for the new sample
      `sampleTypeCode` - The code of the type for the new sample

  - ### createNewProjectSampleWithGeneratedCode

    public ISample createNewProjectSampleWithGeneratedCode(String projectIdentifier, String sampleTypeCode)
    Description copied from interface: `IDataSetRegistrationTransactionV2`
    Create a new project sample to register with the openBIS AS. The sample will have a permId and automatically created identifier.
    Specified by:
      `createNewProjectSampleWithGeneratedCode` in interface `IDataSetRegistrationTransactionV2`
    Parameters:
      `projectIdentifier` - The project in which to create the sample identifier for the new sample
      `sampleTypeCode` - The code of the type for the new sample

  - ### getExperiment

    public ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IExperimentImmutable getExperiment(String experimentIdentifierString)
    Description copied from interface: `IDataSetRegistrationTransactionV2`
    Get an experiment from the openBIS AS.
    Specified by:
      `getExperiment` in interface `IDataSetRegistrationTransactionV2`

  - ### getExperimentForUpdate

    public IExperimentUpdatable getExperimentForUpdate(String experimentIdentifierString)
    Description copied from interface: `IDataSetRegistrationTransactionV2`
    Get an experiment from the openBIS AS for the purpose of modifying it.
    Specified by:
      `getExperimentForUpdate` in interface `IDataSetRegistrationTransactionV2`

  - ### makeExperimentMutable

    public IExperimentUpdatable makeExperimentMutable(ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IExperimentImmutable experiment)
    Description copied from interface: `IDataSetRegistrationTransactionV2`
    Given an immutable experiment, make it mutable.
    Specified by:
      `makeExperimentMutable` in interface `IDataSetRegistrationTransactionV2`
    Returns:
      An experiment

  - ### createNewExperiment

    public IExperiment createNewExperiment(String experimentIdentifierString, String experimentTypeCode)
    Description copied from interface: `IDataSetRegistrationTransactionV2`
    Create a new experiment to register with the openBIS AS. The experiment will have a permId.
    Specified by:
      `createNewExperiment` in interface `IDataSetRegistrationTransactionV2`
    Parameters:
      `experimentIdentifierString` - The identifier for the new experiment
      `experimentTypeCode` - The code of the type for the new experiment

  - ### createNewProject

    public IProject createNewProject(String projectIdentifier)
    Description copied from interface: `IDataSetRegistrationTransactionV2`
    Create a new project to register with the openBIS AS.
    Specified by:
      `createNewProject` in interface `IDataSetRegistrationTransactionV2`
    Parameters:
      `projectIdentifier` - .

  - ### getProject

    public ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IProjectImmutable getProject(String projectIdentifier)
    Description copied from interface: `IDataSetRegistrationTransactionV2`
    Get a project from the openBIS AS. Returns null if the project does not exist.
    Specified by:
      `getProject` in interface `IDataSetRegistrationTransactionV2`
    Returns:
      A project or null

  - ### getProjectForUpdate

    public IProject getProjectForUpdate(String projectIdentifierString)
    Description copied from interface: `IDataSetRegistrationTransactionV2`
    Get an project from the openBIS AS for the purpose of modifying it.
    Specified by:
      `getProjectForUpdate` in interface `IDataSetRegistrationTransactionV2`

  - ### makeProjectMutable

    public IProject makeProjectMutable(ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IProjectImmutable project)
    Description copied from interface: `IDataSetRegistrationTransactionV2`
    Given an immutable project, make it mutable.
    Specified by:
      `makeProjectMutable` in interface `IDataSetRegistrationTransactionV2`
    Returns:
      A mutable project.

  - ### createNewSpace

    public ISpace createNewSpace(String spaceCode, String spaceAdminUserIdOrNull)
    Description copied from interface: `IDataSetRegistrationTransactionV2`
    Create a new space to register with the openBIS AS.
    Specified by:
      `createNewSpace` in interface `IDataSetRegistrationTransactionV2`
    Parameters:
      `spaceCode` - the code of the space
      `spaceAdminUserIdOrNull` - the user id of the person, who will receive space admin priviliges.

  - ### getSpace

    public ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISpaceImmutable getSpace(String spaceCode)
    Description copied from interface: `IDataSetRegistrationTransactionV2`
    Get a space from the openBIS AS. Returns null if the space does not exist.
    Specified by:
      `getSpace` in interface `IDataSetRegistrationTransactionV2`
    Returns:
      A space or null

  - ### createNewMetaproject

    public IMetaproject createNewMetaproject(String name, String description)
    Description copied from interface: `IDataSetRegistrationTransactionV2`
    Creates the new metaproject for the current user. Only allowed when there is a user available.
    Specified by:
      `createNewMetaproject` in interface `IDataSetRegistrationTransactionV2`

  - ### createNewMetaproject

    public IMetaproject createNewMetaproject(String name, String description, String ownerId)
    Description copied from interface: `IDataSetRegistrationTransactionV2`
    Creates the new metaproject for the specified user. Only allowed when there is no user available.
    Specified by:
      `createNewMetaproject` in interface `IDataSetRegistrationTransactionV2`

  - ### getMetaproject

    public IMetaproject getMetaproject(String name)
    Description copied from interface: `IDataSetRegistrationTransactionV2`
    Only allowed when the user is available.
    Specified by:
      `getMetaproject` in interface `IDataSetRegistrationTransactionV2`
    Returns:
      metaproject with given name for current user.

  - ### getMetaproject

    public IMetaproject getMetaproject(String name, String ownerId)
    Description copied from interface: `IDataSetRegistrationTransactionV2`
    Only allowed when the user is not available.
    Specified by:
      `getMetaproject` in interface `IDataSetRegistrationTransactionV2`
    Returns:
      metaproject with given name for specified user.

  - ### getVocabulary

    public ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IVocabularyImmutable getVocabulary(String code)
    Description copied from interface: `IDataSetRegistrationTransactionV2`
    Get the read-only vocabulary with given code
    Specified by:
      `getVocabulary` in interface `IDataSetRegistrationTransactionV2`

  - ### getVocabularyForUpdate

    public IVocabulary getVocabularyForUpdate(String code)
    Description copied from interface: `IDataSetRegistrationTransactionV2`
    Get the vocabulary with given code
    Specified by:
      `getVocabularyForUpdate` in interface `IDataSetRegistrationTransactionV2`

  - ### createNewVocabularyTerm

    public IVocabularyTerm createNewVocabularyTerm()
    Description copied from interface: `IDataSetRegistrationTransactionV2`
    Creates a new vocabulary term, which has to be assigned to a `IVocabulary`.
    Specified by:
      `createNewVocabularyTerm` in interface `IDataSetRegistrationTransactionV2`

  - ### moveFile

    public String moveFile(String src, IDataSet dst)
    Description copied from interface: `IDataSetRegistrationTransactionV2`
    Move a file from into the root of a data set.
    Specified by:
      `moveFile` in interface `IDataSetRegistrationTransactionV2`
    Parameters:
      `src` - The path of the file to move.
      `dst` - The data set to add the file to.
    Returns:
      The absolute path after the move.

  - ### moveFile

    public String moveFile(String src, IDataSet dst, String dstInDataset)
    Description copied from interface: `IDataSetRegistrationTransactionV2`
    Move a file to a specified location in a data set. Any necessary intermediate folders are automatically created.
    Specified by:
      `moveFile` in interface `IDataSetRegistrationTransactionV2`
    Parameters:
      `src` - The path of the file to move.
      `dst` - The data set to add the file to.
      `dstInDataset` - The path of the file in the data set
    Returns:
      The absolute path after the move.

  - ### createNewDirectory

    public String createNewDirectory(IDataSet dst, String dirName)
    Description copied from interface: `IDataSetRegistrationTransactionV2`
    Create a new directory and return the path.
    Specified by:
      `createNewDirectory` in interface `IDataSetRegistrationTransactionV2`
    Parameters:
      `dst` - The data set to add the file to.
      `dirName` - The name of the new file to create. (Can be a simple file or directory.)
    Returns:
      The absolute path of the new file.

  - ### createNewFile

    public String createNewFile(IDataSet dst, String fileName)
    Description copied from interface: `IDataSetRegistrationTransactionV2`
    Create a new empty file and return the path.
    Specified by:
      `createNewFile` in interface `IDataSetRegistrationTransactionV2`
    Parameters:
      `dst` - The data set to add the file to.
      `fileName` - The name of the new file to create. (Can be a simple file or directory.)
    Returns:
      The absolute path of the new file.

  - ### createNewFile

    public String createNewFile(IDataSet dst, String dstInDataset, String fileName)
    Description copied from interface: `IDataSetRegistrationTransactionV2`
    Create a new empty file and return the path.
    Specified by:
      `createNewFile` in interface `IDataSetRegistrationTransactionV2`
    Parameters:
      `dst` - The data set to add the file to.
      `dstInDataset` - The path of the file in the data set
      `fileName` - The name of the new file to create. (Can be a simple file or directory.)
    Returns:
      The absolute path of the new file.

  - ### getSearchService

    public ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISearchService getSearchService()
    Description copied from interface: `IDataSetRegistrationTransactionV2`
    Retrieve the search service for this transaction. If the user is available for this transaction, then the search service results will be filtered for this user.
    Specified by:
      `getSearchService` in interface `IDataSetRegistrationTransactionV2`
    Returns:
      The search service for this transaction.

  - ### getSearchServiceUnfiltered

    public ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISearchService getSearchServiceUnfiltered()
    Description copied from interface: `IDataSetRegistrationTransactionV2`
    Retrieve the search service for this transaction. It returns the results unfiltered by the user, even if the user is available.
    Specified by:
      `getSearchServiceUnfiltered` in interface `IDataSetRegistrationTransactionV2`
    Returns:
      The search service for this transaction.

  - ### getSearchServiceFilteredForUser

    public ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISearchService getSearchServiceFilteredForUser(String userId)
    Description copied from interface: `IDataSetRegistrationTransactionV2`
    Retrieve the search service for this transaction. The search service results will be filtered for the specified user.
    Specified by:
      `getSearchServiceFilteredForUser` in interface `IDataSetRegistrationTransactionV2`
    Returns:
      The search service for this transaction.

  - ### getAuthorizationService

    public ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.authorization.IAuthorizationService getAuthorizationService()
    Specified by:
      `getAuthorizationService` in interface `IDataSetRegistrationTransactionV2`
    Returns:
      A service which can be used to get authorization information about a user.

  - ### getDatabaseQuery

    public net.lemnik.eodsql.DynamicTransactionQuery getDatabaseQuery(String dataSourceName) throws IllegalArgumentException
    Description copied from interface: `IDataSetRegistrationTransactionV2`
    Gets a database query object for the data source with the specified name.

    After the rest of the transaction is committed, the queries are committed. Failures in these secondary queries are not fatal, but they are caught and the clients of the transaction are notified.

    Specified by:
      `getDatabaseQuery` in interface `IDataSetRegistrationTransactionV2`
    Parameters:
      `dataSourceName` - The name of the data source to query against, as declared in the service.properties file.
    Returns:
      The query.
    Throws:
      `IllegalArgumentException`

  - ### getRegistrationContext

    public ch.systemsx.cisd.etlserver.registrator.DataSetRegistrationContext getRegistrationContext()
    Description copied from interface: `IDataSetRegistrationTransactionV2`
    Return a registration context object which can be used to store information that needs to be accessed through the registration process.

    It is important to use this registration context, and not global variables, for communication between code in different parts of the registration process. This is because the registration process is not guaranteed to run in a single process.

    Specified by:
      `getRegistrationContext` in interface `IDataSetRegistrationTransactionV2`
    Returns:
      The context, a hash-map-like object.

  - ### getGlobalState

    public ch.systemsx.cisd.etlserver.TopLevelDataSetRegistratorGlobalState getGlobalState()
    Specified by:
      `getGlobalState` in interface `IDataSetRegistrationTransactionV2`
    Returns:
      Global state for this dropbox, including configuration properties specified by the user.

  - ### getServerInformation

    public Map<String,String> getServerInformation()
    Description copied from interface: `IDataSetRegistrationTransactionV2`
    Returns information about the openBIS server.
    Specified by:
      `getServerInformation` in interface `IDataSetRegistrationTransactionV2`

  - ### getIncoming

    public File getIncoming()
    Description copied from interface: `IDataSetRegistrationTransactionV2`
    Returns the file representing the logical incoming file.
    Specified by:
      `getIncoming` in interface `IDataSetRegistrationTransactionV2`

  - ### getUserId

    public String getUserId()
    Description copied from interface: `IDataSetRegistrationTransactionV2`
    Get the id of the user on whose behalf this registration transaction is performed.
    Specified by:
      `getUserId` in interface `IDataSetRegistrationTransactionV2`
    Returns:
      A userId or null, if there is none.

  - ### setUserId

    public void setUserId(String userIdOrNull)
    Description copied from interface: `IDataSetRegistrationTransactionV2`
    Set the id of the user on whose behalf this registration transaction is performed.
    Specified by:
      `setUserId` in interface `IDataSetRegistrationTransactionV2`
    Parameters:
      `userIdOrNull` - The id of a user or null if this transaction should be performed as the system (etlserver).

  - ### getExternalDataManagementSystem

    public ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IExternalDataManagementSystemImmutable getExternalDataManagementSystem(String externalDataManagementSystemCode)
    Description copied from interface: `IDataSetRegistrationTransactionV2`
    Get an external data management system from the openBIS AS. Returns null if the object does not exist.
    Specified by:
      `getExternalDataManagementSystem` in interface `IDataSetRegistrationTransactionV2`
    Returns:
      external data management system or null

  - ### assignRoleToSpace

    public void assignRoleToSpace(ch.systemsx.cisd.openbis.generic.shared.basic.dto.RoleWithHierarchy.RoleCode role, ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISpaceImmutable space, List<String> userIds, List<String> groupCodes)
    Description copied from interface: `IDataSetRegistrationTransactionV2`
    Give users and/or groups access privileges to a space.
    Specified by:
      `assignRoleToSpace` in interface `IDataSetRegistrationTransactionV2`

  - ### revokeRoleFromSpace

    public void revokeRoleFromSpace(ch.systemsx.cisd.openbis.generic.shared.basic.dto.RoleWithHierarchy.RoleCode role, ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISpaceImmutable space, List<String> userIds, List<String> groupCodes)
    Description copied from interface: `IDataSetRegistrationTransactionV2`
    Take away users and/or groups access privileges to a space.
    Specified by:
      `revokeRoleFromSpace` in interface `IDataSetRegistrationTransactionV2`

  - ### getAttachmentContent

    public InputStream getAttachmentContent(ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IProjectImmutable project, String fileName, Integer versionOrNull)
    Description copied from interface: `IDataSetRegistrationTransactionV2`
    Returns a project attachment content. If the version is not specified then the latest version of the attachment is returned. Returns null if the attachment does not exist.
    Specified by:
      `getAttachmentContent` in interface `IDataSetRegistrationTransactionV2`

  - ### getAttachmentContent

    public InputStream getAttachmentContent(ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IExperimentImmutable experiment, String fileName, Integer versionOrNull)
    Description copied from interface: `IDataSetRegistrationTransactionV2`
    Returns an experiment attachment content. If the version is not specified then the latest version of the attachment is returned. Returns null if the attachment does not exist.
    Specified by:
      `getAttachmentContent` in interface `IDataSetRegistrationTransactionV2`

  - ### getAttachmentContent

    public InputStream getAttachmentContent(ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISampleImmutable sample, String fileName, Integer versionOrNull)
    Description copied from interface: `IDataSetRegistrationTransactionV2`
    Returns a sample attachment content. If the version is not specified then the latest version of the attachment is returned. Returns null if the attachment does not exist.
    Specified by:
      `getAttachmentContent` in interface `IDataSetRegistrationTransactionV2`

  - ### listAttachments

    public List<ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IAttachmentImmutable> listAttachments(ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IProjectImmutable project)
    Description copied from interface: `IDataSetRegistrationTransactionV2`
    Returns a list of project attachments with all versions. Returns null if the project does not have any attachments.
    Specified by:
      `listAttachments` in interface `IDataSetRegistrationTransactionV2`

  - ### listAttachments

    public List<ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IAttachmentImmutable> listAttachments(ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IExperimentImmutable experiment)
    Description copied from interface: `IDataSetRegistrationTransactionV2`
    Returns a list of experiment attachments with all versions. Returns null if the experiment does not have any attachments.
    Specified by:
      `listAttachments` in interface `IDataSetRegistrationTransactionV2`

  - ### listAttachments

    public List<ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IAttachmentImmutable> listAttachments(ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISampleImmutable sample)
    Description copied from interface: `IDataSetRegistrationTransactionV2`
    Returns a list of sample attachments with all versions. Returns null if the sample does not have any attachments.
    Specified by:
      `listAttachments` in interface `IDataSetRegistrationTransactionV2`

  - ### createNewLink

    public String createNewLink(IDataSet dst, String dstInDataset, String linkName, String linkTarget)
    Description copied from interface: `IDataSetRegistrationTransactionV2`
    Create a new symbolic link and return the path.
    Specified by:
      `createNewLink` in interface `IDataSetRegistrationTransactionV2`
    Parameters:
      `dst` - The data set to add the file to.
      `dstInDataset` - The path of the file in the data set
      `linkName` - The name of the new link to create
      `linkTarget` - The path of file/directory the new link should point to
    Returns:
      The absolute path of the new link.

  - ### getLogger

    public IDSSRegistrationLogger getLogger()
    Description copied from interface: `IDataSetRegistrationTransactionV2`
    Returns the logger object that logs messages to openbis operation log and data store server registration logs.
    Specified by:
      `getLogger` in interface `IDataSetRegistrationTransactionV2`